Name: sweets-telepathy-salut
Version: 0.6.0

Release: 8.1
Group: Development/Tools/Other
Summary: A link-local XMPP connection manager for Telepathy
License: LGPLv2+
Url: http://telepathy.freedesktop.org/

Source: telepathy-salut-0.6.0.tar.gz
Source1: sweet.tar.gz



Requires: avahi-gobject
Requires: dbus >= 1.1.0
Requires: libsoup
Requires: libxml2
Requires: sqlite >= 3
Requires: uuid
Requires: sweets-telepathy-glib >= 0.13.12
BuildRequires: avahi-gobject-devel
BuildRequires: dbus-devel >= 1.1.0
BuildRequires: gcc
BuildRequires: libsoup-devel
BuildRequires: libxml2-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: sqlite-devel >= 3
BuildRequires: uuid-devel
BuildRequires: libxslt
BuildRequires: sweets-telepathy-glib >= 0.13.12
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
A link-local XMPP connection manager for Telepathy

%prep
%setup -n telepathy-salut-0.6.0

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
test -e /opt/sweets/telepathy-glib/binding && . /opt/sweets/telepathy-glib/binding; ./configure --prefix=/opt/sweets/telepathy-salut --enable-olpc --disable-gtk-doc --disable-avahi-tests CFLAGS="${CFLAGS} -Wl,-rpath,$TELEPATHY_PATH/lib"
test -e /opt/sweets/telepathy-glib/binding && . /opt/sweets/telepathy-glib/binding; make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

test -e /opt/sweets/telepathy-glib/binding && . /opt/sweets/telepathy-glib/binding; make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/telepathy-salut '' '' > sweets-telepathy-salut.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/telepathy-salut/sweets.recipe >> sweets-telepathy-salut.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/telepathy-salut '' '' >> sweets-telepathy-salut.files
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sdk/telepathy-salut
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sdk/telepathy-salut/pydirs)
echo /opt/sweets/sdk/telepathy-salut/pydirs >> sweets-telepathy-salut.files

%post
test -e /opt/sweets/sdk/telepathy-salut/pydirs && for i in `cat /opt/sweets/sdk/telepathy-salut/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sdk/telepathy-salut/pydirs && for i in `cat /opt/sweets/sdk/telepathy-salut/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-telepathy-salut.files

%changelog
